﻿.d-grid{
    display:grid;
}
.grid-cols-none {
    grid-template-columns: none !important
}

.grid-cols-1 {
    grid-template-columns: repeat(1, minmax(0, 1fr)) !important
}

.grid-cols-2 {
    grid-template-columns: repeat(2, minmax(0, 1fr)) !important
}

.grid-cols-3 {
    grid-template-columns: repeat(3, minmax(0, 1fr)) !important
}

.grid-cols-4 {
    grid-template-columns: repeat(4, minmax(0, 1fr)) !important
}

.grid-cols-5 {
    grid-template-columns: repeat(5, minmax(0, 1fr)) !important
}

.grid-cols-6 {
    grid-template-columns: repeat(6, minmax(0, 1fr)) !important
}

.grid-cols-7 {
    grid-template-columns: repeat(7, minmax(0, 1fr)) !important
}

.grid-cols-8 {
    grid-template-columns: repeat(8, minmax(0, 1fr)) !important
}

.grid-cols-9 {
    grid-template-columns: repeat(9, minmax(0, 1fr)) !important
}

.grid-cols-10 {
    grid-template-columns: repeat(10, minmax(0, 1fr)) !important
}

.grid-cols-11 {
    grid-template-columns: repeat(11, minmax(0, 1fr)) !important
}

.grid-cols-12 {
    grid-template-columns: repeat(12, minmax(0, 1fr)) !important
}

.grid-col-auto {
    grid-column: auto !important
}

.grid-col-span-1 {
    grid-column: span 1/span 1 !important
}

.grid-col-span-2 {
    grid-column: span 2/span 2 !important
}

.grid-col-span-3 {
    grid-column: span 3/span 3 !important
}

.grid-col-span-4 {
    grid-column: span 4/span 4 !important
}

.grid-col-span-5 {
    grid-column: span 5/span 5 !important
}

.grid-col-span-6 {
    grid-column: span 6/span 6 !important
}

.grid-col-span-7 {
    grid-column: span 7/span 7 !important
}

.grid-col-span-8 {
    grid-column: span 8/span 8 !important
}

.grid-col-span-9 {
    grid-column: span 9/span 9 !important
}

.grid-col-span-10 {
    grid-column: span 10/span 10 !important
}

.grid-col-span-11 {
    grid-column: span 11/span 11 !important
}

.grid-col-span-12 {
    grid-column: span 12/span 12 !important
}

.grid-col-span-full {
    grid-column: 1/-1 !important
}

.grid-col-start-auto {
    grid-column-start: auto !important
}

.grid-col-start-1 {
    grid-column-start: 1 !important
}

.grid-col-start-2 {
    grid-column-start: 2 !important
}

.grid-col-start-3 {
    grid-column-start: 3 !important
}

.grid-col-start-4 {
    grid-column-start: 4 !important
}

.grid-col-start-5 {
    grid-column-start: 5 !important
}

.grid-col-start-6 {
    grid-column-start: 6 !important
}

.grid-col-start-7 {
    grid-column-start: 7 !important
}

.grid-col-start-8 {
    grid-column-start: 8 !important
}

.grid-col-start-9 {
    grid-column-start: 9 !important
}

.grid-col-start-10 {
    grid-column-start: 10 !important
}

.grid-col-start-11 {
    grid-column-start: 11 !important
}

.grid-col-start-12 {
    grid-column-start: 12 !important
}

.grid-col-start-13 {
    grid-column-start: 13 !important
}

.grid-col-end-auto {
    grid-column-end: auto !important
}

.grid-col-end-1 {
    grid-column-end: 1 !important
}

.grid-col-end-2 {
    grid-column-end: 2 !important
}

.grid-col-end-3 {
    grid-column-end: 3 !important
}

.grid-col-end-4 {
    grid-column-end: 4 !important
}

.grid-col-end-5 {
    grid-column-end: 5 !important
}

.grid-col-end-6 {
    grid-column-end: 6 !important
}

.grid-col-end-7 {
    grid-column-end: 7 !important
}

.grid-col-end-8 {
    grid-column-end: 8 !important
}

.grid-col-end-9 {
    grid-column-end: 9 !important
}

.grid-col-end-10 {
    grid-column-end: 10 !important
}

.grid-col-end-11 {
    grid-column-end: 11 !important
}

.grid-col-end-12 {
    grid-column-end: 12 !important
}

.grid-col-end-13 {
    grid-column-end: 13 !important
}

.grid-rows-1 {
    grid-template-rows: repeat(1, minmax(0, 1fr)) !important
}

.grid-rows-2 {
    grid-template-rows: repeat(2, minmax(0, 1fr)) !important
}

.grid-rows-3 {
    grid-template-rows: repeat(3, minmax(0, 1fr)) !important
}

.grid-rows-4 {
    grid-template-rows: repeat(4, minmax(0, 1fr)) !important
}

.grid-rows-5 {
    grid-template-rows: repeat(5, minmax(0, 1fr)) !important
}

.grid-rows-6 {
    grid-template-rows: repeat(6, minmax(0, 1fr)) !important
}

.grid-rows-none {
    grid-template-rows: none !important
}

.grid-row-auto {
    grid-row: auto !important
}

.grid-row-span-1 {
    grid-row: span 1/span 1 !important
}

.grid-row-span-2 {
    grid-row: span 2/span 2 !important
}

.grid-row-span-3 {
    grid-row: span 3/span 3 !important
}

.grid-row-span-4 {
    grid-row: span 4/span 4 !important
}

.grid-row-span-5 {
    grid-row: span 5/span 5 !important
}

.grid-row-span-6 {
    grid-row: span 6/span 6 !important
}

.grid-row-span-full {
    grid-row: 1/-1 !important
}

.grid-row-start-auto {
    grid-row-start: auto !important
}

.grid-row-start-1 {
    grid-row-start: 1 !important
}

.grid-row-start-2 {
    grid-row-start: 2 !important
}

.grid-row-start-3 {
    grid-row-start: 3 !important
}

.grid-row-start-4 {
    grid-row-start: 4 !important
}

.grid-row-start-5 {
    grid-row-start: 5 !important
}

.grid-row-start-6 {
    grid-row-start: 6 !important
}

.grid-row-start-7 {
    grid-row-start: 7 !important
}

.grid-row-end-auto {
    grid-row-end: auto !important
}

.grid-row-end-1 {
    grid-row-end: 1 !important
}

.grid-row-end-2 {
    grid-row-end: 2 !important
}

.grid-row-end-3 {
    grid-row-end: 3 !important
}

.grid-row-end-4 {
    grid-row-end: 4 !important
}

.grid-row-end-5 {
    grid-row-end: 5 !important
}

.grid-row-end-6 {
    grid-row-end: 6 !important
}

.grid-row-end-7 {
    grid-row-end: 7 !important
}

.grid-flow-row {
    grid-auto-flow: row !important
}

.grid-flow-col {
    grid-auto-flow: column !important
}

.grid-flow-dense {
    grid-auto-flow: dense !important
}

.grid-flow-row-dense {
    grid-auto-flow: row dense !important
}

.grid-flow-col-dense {
    grid-auto-flow: column dense !important
}

.grid-auto-cols-auto {
    grid-auto-columns: auto !important
}

.grid-auto-cols-min {
    grid-auto-columns: min-content !important
}

.grid-auto-cols-max {
    grid-auto-columns: max-content !important
}

.grid-auto-cols-fr {
    grid-auto-columns: minmax(0, 1fr) !important
}

.grid-auto-rows-auto {
    grid-auto-rows: auto !important
}

.grid-auto-rows-min {
    grid-auto-rows: min-content !important
}

.grid-auto-rows-max {
    grid-auto-rows: max-content !important
}

.grid-auto-rows-fr {
    grid-auto-rows: minmax(0, 1fr) !important
}
